org.keycloak.connections.jpa.updater.liquibase.lock

## Class LiquibaseDBLockProviderFactory

- java.lang.Object
- - org.keycloak.connections.jpa.updater.liquibase.lock.LiquibaseDBLockProviderFactory

- All Implemented Interfaces:
    DBLockProviderFactory, ProviderFactory<DBLockProvider>

      public class LiquibaseDBLockProviderFactory
      extends Object
      implements DBLockProviderFactory

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiquibaseDBLockProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `LiquibaseDBLockProvider` | `create(KeycloakSession session)`
    `String` | `getId()`
    `protected long` | `getLockWaitTimeoutMillis()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized
    `void` | `setTimeouts(long lockRecheckTimeMillis, long lockWaitTimeoutMillis)` Useful for testing to override provided configuration

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Constructor Detail

    - #### LiquibaseDBLockProviderFactory

          public LiquibaseDBLockProviderFactory()

  - ### Method Detail

    - #### getLockWaitTimeoutMillis

          protected long getLockWaitTimeoutMillis()

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<DBLockProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<DBLockProvider>`

    - #### create

          public LiquibaseDBLockProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<DBLockProvider>`

    - #### setTimeouts

          public void setTimeouts(long lockRecheckTimeMillis,
                                  long lockWaitTimeoutMillis)

      Description copied from interface: `DBLockProviderFactory`
      Useful for testing to override provided configuration
      Specified by:
        `setTimeouts` in interface `DBLockProviderFactory`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<DBLockProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<DBLockProvider>`

Copyright © 2020 JBoss by Red Hat. All rights reserved.